﻿using Azure.Identity;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.Configuration.AzureAppConfiguration;
using System;
using System.Net;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
			var builder = new ConfigurationBuilder();
			builder.AddAzureAppConfiguration(options =>
			{
				var credentials = new DefaultAzureCredential();

				options
					.Connect(new Uri("https://cfg-appconfig-demo.azconfig.io"), credentials)
					.ConfigureKeyVault(kv =>
					{
						kv.SetCredential(credentials);
					});
			});
			var config = builder.Build();
			Console.WriteLine(config["SMTP:Password"]);
		}
	}
}
